Subject: Re: netlink circular locking dependency

From: Jarek Poplawski <[email-masked]>
Date: Tue, 17 Jun 2008 13:09:10 +0000

On Tue, Jun 17, 2008 at 02:50:19PM +0200, Patrick McHardy wrote:
...
> Thanks for testing. Unfortunately the module unload races look
> more complicated to fix and I'm busy with other things, so it
> would great if someone else could fix this.

Patrick, I wonder if simply adding an additional mutex e.g.
genl_lock_table() around all the rest (after your patch) genl_locks
could be enough until some major rework. This should prevent any
new races and there are no lockups, I guess?

Jarek P.